Control APIAPI 레퍼런스Billing

팀 청구 프로필을 등록하거나 교체합니다.

베타 API

Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

PUT/v1/teams/{teamId}/billing/profile

owner 또는 billing 역할이 청구 프로필을 등록하고 결제 제공자에게 동기화합니다. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.

인증

bearerAuth
인증Bearer <token>

Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.

위치: header

경로 매개변수

teamId*string

요청 본문

application/json

TypeScript 타입 정의

Use the request body type in TypeScript.

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/teams/string/billing/profile" \  -H "Content-Type: application/json" \  -d '{    "address": {      "city": "string",      "line1": "string",      "line2": "string",      "postalCode": "string",      "state": "string"    },    "country": "string",    "customerType": "string",    "legalName": "string",    "taxId": "string"  }'
{  "address": {    "city": "string",    "line1": "string",    "line2": "string",    "postalCode": "string",    "state": "string"  },  "country": "string",  "customerType": "string",  "legalName": "string",  "taxId": "string",  "updatedAt": "2019-08-24T14:15:22Z"}